New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Dubbing

Assign a voice to a speaker

PUT
/api/v1/dubbing/projects/{project_id}/speakers/{speaker_id}

Path Parameters

project_id*Project Id
speaker_id*Speaker Id

Request Body

application/json
  1. body
voice_id?string|null
source?|
Default"library"
model_family?string|null

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/dubbing/projects/string/speakers/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null